Subject: bug#7956: closed (Re: bug#7956: 24.0.50; xft:-B&H-LucidaTypewriter-normal-normal-normal-Sans-10-*-*-*-m-60-iso10646-1 rendered to presumingly 1 pt)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Apr 2011 09:36:02 +0000

Your bug report

#7956: 24.0.50; xft:-B&H-LucidaTypewriter-normal-normal-normal-Sans-10-*-*-*-m-60-iso10646-1 rendered to presumingly 1 pt

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7956: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7956
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7956: 24.0.50; xft:-B&H-LucidaTypewriter-normal-normal-normal-Sans-10-*-*-*-m-60-iso10646-1 rendered to presumingly 1 pt
From: "Jan D." <[email-masked]>
To: Peter Dyballa <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Apr 2011 11:35:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing.

Thanks for investigating.

	Jan D.

Peter Dyballa skrev 2011-03-31 19:09:
> Hello!
>
> The case seems to be resolved right now. And actually the opinion of a 1
> pt font size is wrong: the cursor's size is like with a 10 pt or 12 pt
> font size. The effect might be better described like two differently
> scaled glyph masks put on top of the other. Since they don't match
> completely, some light (or black) can pass through them onto the screen.
>
> Anyway, the cause seems to be that I am using fontsets built with an
> elder and invalid (?) syntax like here
>
> (create-fontset-from-fontset-spec
> "-b&h-lucidatypewriter-medium-r-*-*-10-*-*-*-*-*-fontset-10pt_lucida_sans_typewriter"
> t 'noerror)
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter" 'latin-iso8859-1
> '("lucidatypewriter" . "iso8859-1"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter" 'latin-iso8859-2
> '("lucidatypewriter" . "iso8859-2"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter" 'latin-iso8859-3
> '("lucidatypewriter" . "iso8859-3"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter" 'latin-iso8859-4
> '("lucidatypewriter" . "iso8859-4"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter"
> 'cyrillic-iso8859-5 '("lucidatypewriter" . "iso8859-5"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter"
> 'hebrew-iso8859-8 '("lucidatypewriter" . "iso8859-8"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter" 'latin-iso8859-9
> '("lucidatypewriter" . "iso8859-9"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter"
> 'latin-iso8859-14 '("lucidatypewriter" . "iso8859-14"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter"
> 'latin-iso8859-15 '("lucidatypewriter" . "iso8859-15"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter" 'thai-tis620
> '("lucidatypewriter" . "iso10646-1"))
> ; (set-fontset-font "fontset-10pt_lucida_sans_typewriter" 'georgian-ps
> '("bpg glaho arial" . "iso10646-1"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter"
> 'mule-unicode-0100-24ff '("code2000" . "iso10646-1"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter"
> 'mule-unicode-2500-33ff '("code2000" . "iso10646-1"))
> (set-fontset-font "fontset-10pt_lucida_sans_typewriter"
> 'mule-unicode-e000-ffff '("code2000" . "iso10646-1"))
>
> or there:
>
> (create-fontset-from-fontset-spec
> "-b&h-lucidatypewriter-medium-r-*-*-10-*-*-*-*-*-fontset-10pt_lucidatypewriter"
> t 'noerror)
> (set-fontset-font "fontset-10pt_lucidatypewriter" 'latin-iso8859-1
> '("lucidatypewriter" . "iso8859-1"))
> (set-fontset-font "fontset-10pt_lucidatypewriter" 'latin-iso8859-2
> '("lucidatypewriter" . "iso8859-2"))
> (set-fontset-font "fontset-10pt_lucidatypewriter" 'latin-iso8859-3
> '("lucidatypewriter" . "iso8859-3"))
> (set-fontset-font "fontset-10pt_lucidatypewriter" 'latin-iso8859-4
> '("lucidatypewriter" . "iso8859-4"))
> (set-fontset-font "fontset-10pt_lucidatypewriter" 'latin-iso8859-9
> '("lucidatypewriter" . "iso8859-9"))
> (set-fontset-font "fontset-10pt_lucidatypewriter" 'latin-iso8859-14
> '("lucidatypewriter" . "iso8859-14"))
> (set-fontset-font "fontset-10pt_lucidatypewriter" 'latin-iso8859-15
> '("lucidatypewriter" . "iso8859-15"))
> (set-fontset-font "fontset-10pt_lucidatypewriter"
> 'mule-unicode-0100-24ff '("lucidatypewriter" . "iso10646-1"))
> (set-fontset-font "fontset-10pt_lucidatypewriter"
> 'mule-unicode-2500-33ff '("lucidatypewriter" . "iso10646-1"))
> (set-fontset-font "fontset-10pt_lucidatypewriter"
> 'mule-unicode-e000-ffff '("lucidatypewriter" . "iso10646-1"))
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0590) (decode-char 'ucs #x05ff)) '("bpg glaho arial" .
> "iso10646-1")) ; Hebrew
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0600) (decode-char 'ucs #x06ff)) '("bpg glaho arial" .
> "iso10646-1")) ; Arabic
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x10a0) (decode-char 'ucs #x10ff)) '("bpg glaho" . "iso10646-1")) ;
> Georgian
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x2800) (decode-char 'ucs #x28ff)) '("code2000" . "iso10646-1")) ;
> Braille
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0980) (decode-char 'ucs #x09ff)) '("bangla" . "iso10646-1")) ;
> Bengali
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0a00) (decode-char 'ucs #x0a7f)) '("code2000" . "iso10646-1")) ;
> Gurmukhi
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0a80) (decode-char 'ucs #x0aff)) '("code2000" . "iso10646-1")) ;
> Gujarati
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0b00) (decode-char 'ucs #x0b7f)) '("code2000" . "iso10646-1")) ;
> Oriya
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0b80) (decode-char 'ucs #x0bff)) '("code2000" . "iso10646-1")) ;
> Tamil
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0c00) (decode-char 'ucs #x0c7f)) '("code2000" . "iso10646-1")) ;
> Telugu
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0c80) (decode-char 'ucs #x0cff)) '("code2000" . "iso10646-1")) ;
> Kannada
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0d00) (decode-char 'ucs #x0d7f)) '("code2000" . "iso10646-1")) ;
> Malayalam
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0d80) (decode-char 'ucs #x0dff)) '("akshar unicode" .
> "iso10646-1")) ; Sinhala
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0e00) (decode-char 'ucs #x0e7f)) '("code2000" . "iso10646-1")) ;
> Thai
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0e80) (decode-char 'ucs #x0eff)) '("code2000" . "iso10646-1")) ; Lao
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x0f00) (decode-char 'ucs #x0fff)) '("xtashi" . "iso10646-1")) ;
> Tibetan
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x1000) (decode-char 'ucs #x109f)) '("code2000" . "iso10646-1")) ;
> Myanmar
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x10a0) (decode-char 'ucs #x10ff)) '("everson mono unicode" .
> "iso10646-1")) ; Georgian
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x1100) (decode-char 'ucs #x11ff)) '("code2000" . "iso10646-1")) ;
> Hangul Jamo
> (when (= 23 emacs-major-version)
> (set-fontset-font "fontset-10pt_lucidatypewriter" (cons (decode-char
> 'ucs #x1d400) (decode-char 'ucs #x1d7ff)) '("code2001" . "iso10646-1"))
> ; Mathe
> (set-fontset-font "fontset-10pt_lucidatypewriter" '(#x1D400 . #x1D7FF)
> (font-spec :family "Unicode Symbols") nil)
> )
>
> When I don't use these fontsets the other X server does render the fonts
> correctly (the default server does not seem to have problems with this).
>
>
> I think, it can be closed as resolved/self-produced...
>
> --
> Greetings
>
> Pete
>
> To drink without thirst and to make love all the time, madam, it is only
> these which distinguish us from the other beasts.
> – Beaumarchais

Subject: 24.0.50; xft:-B&H-LucidaTypewriter-normal-normal-normal-Sans-10-*-*-*-m-60-iso10646-1 rendered to presumingly 1 pt
From: Peter Dyballa <[email-masked]>
To: [email-masked]
Date: Tue, 1 Feb 2011 21:39:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

In Mac OS X 10.5.8 (Leopard, without Snow) I have two X servers, which  
identify themselves as "XQuartz 2.6.0 (xorg-server 1.9.3)". One comes  
from the MacPorts project and is compiled and installed on my  
PowerBook G4 (PPC 7447A CPU). The other is compiled, maybe, at Apple,  
based on, presumingly, the same sources and distributed as a package  
to install with the usual Mac OS X installer as a replacement for the  
original very old X11, built by folks who also work in the MacPorts  
project, who are most likely Apple employees. It's advertised here (http://xquartz.macosforge.org/trac/wiki/X112.6.0 
) as:

* the main highlight are the transition to libxcb as a backend for  
libX11
* freetype 2.4.4 to address some font rendering issues in 2.5.2
* pixman 0.20.0 should have some better fast paths with SSE2
* fontconfig 2.8.0
* cairo 1.10.0
* libX11 1.4.0
* xorg-server 1.9.3 which includes RandR and a ton of stability fixes

The MacPorts variant does not inherit my login environment, so AUCTeX  
cannot find tex. The ready-made X server does inherit and pass it to  
its clients – but GNU Emacsen come up in the usual geometry size  
(96x56+25+125, 100x55+696+145), the fonts in GTK-2 based menubar and  
their menus are OK, the font in the title is OK, only the font in the  
windows and the modelines are very, very small, maybe 1 pt. I can C-x  
u = on some character and copy the whole *Help* buffer's quite  
invisible contents and paste it into the NS variant's *scratch*  
buffer. It shows as font used to display the checked character the line:

	xft:-B&H-LucidaTypewriter-normal-normal-normal-Sans-10-*-*-*-m-60- 
iso10646-1

which is the same as in the MacPorts variant. When I change the X  
resource

	Xft.dpi:	96

to, say 960, hoping that would increase the font size to readable, it  
only works in the GTK-2 based widgets: giant text in menubar and  
menus! (And as well in GKrellM.) Screenshots available.

This happened with Xaw3d and GTK-2 X clients (since some days the  
Xaw3d clients do not launch, only the GTK-2 ones) of many different  
GNU Emacs stable and development versions. Can this happen due to a  
bug in GNU Emacs?

In GNU Emacs 24.0.50.7 (powerpc-apple-darwin9.8.0, X toolkit, Xaw3d  
scroll bars)
  of 2011-02-01 on localhost
configured using `configure  '--without-sound' '--without-dbus' '-- 
without-pop' '--without-gconf' '--with-x-toolkit=athena' '--x- 
libraries=/opt/local/lib' '--x-includes=/opt/local/include' '--enable- 
locallisppath=/Library/Application Support/Emacs/calendar24:/Library/ 
Application Support/Emacs' 'CFLAGS=-g -H -pipe -fPIC -fno-common - 
mcpu=7450 -mtune=7450 -faltivec -O0' 'LDFLAGS=-Wl,-dead_strip_dylibs - 
Wl,-bind_at_load -Wl,-t' 'CC=gcc-4.2' 'CPP=cpp-4.2' 'PKG_CONFIG_PATH=/ 
opt/local/lib/pkgconfig:/opt/local/share/pkgconfig:/usr/lib/pkgconfig:/ 
usr/X11/lib/pkgconfig:/usr/X11/share/pkgconfig''

--
Greetings

   Pete

Perl—the only language that looks the same before and after RSA  
encryption.
				- Keith Bostic